> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Communities ルックアップ

> Communities ルックアップエンドポイントを使用すると、ID を指定して X Communities に関する情報を取得できます。X API v2 standard tier のルックアップに関するリファレンスです。

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Communities ルックアップエンドポイントを使用すると、ID を指定して X Communities に関する情報を取得できます。

## 概要

Communities は、メンバーが Post を共有し、トピックを議論し、共通の関心事でつながることができる X 上の公開または非公開のグループです。

<CardGroup cols={2}>
  <Card title="ID で" icon="users-rectangle">
    特定の Community の詳細を取得
  </Card>

  <Card title="検索" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-search.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=8c11ad89387b7c09ced1553d5c232834" width="24" height="24" data-path="icons/xds/icon-search.svg">
    キーワードで Communities を検索
  </Card>
</CardGroup>

***

## エンドポイント

| Method | Endpoint                                                       | 説明                 |
| :----- | :------------------------------------------------------------- | :----------------- |
| GET    | [`/2/communities/:id`](/x-api/communities/get-community-by-id) | ID で Community を取得 |

***

## レスポンスフィールド

| Field          | 説明                 |
| :------------- | :----------------- |
| `id`           | Community ID       |
| `name`         | Community 名        |
| `description`  | Community の説明      |
| `created_at`   | 作成日                |
| `member_count` | メンバー数              |
| `is_private`   | Community が非公開かどうか |

***

## リクエスト例

```bash theme={null}
curl "https://api.x.com/2/communities/1234567890?\
community.fields=name,description,member_count,created_at" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

## はじめに

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console の[プロジェクトとアプリ](/resources/fundamentals/developer-apps)
  * アプリの[キーとトークン](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="Communities を検索" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-search.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=8c11ad89387b7c09ced1553d5c232834" href="/x-api/communities/search/introduction" width="24" height="24" data-path="icons/xds/icon-search.svg">
    キーワードで Communities を検索
  </Card>

  <Card title="API リファレンス" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/communities/get-community-by-id" width="24" height="24" data-path="icons/xds/icon-code.svg">
    完全なエンドポイントドキュメント
  </Card>
</CardGroup>
